<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns:https="http://www.w3.org/1999/xhtml">
<head>
    <title>Virtual Teacher</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
    <nav class="navbar navbar-expand navbar-light bg-light">
        <div class="col-sm-8">
            <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
            <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
        </div>
        <form class="col-sm-4 text-right" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
            <input class="btn btn-primary" type="submit" value="Logout" />
        </form>
    </nav>
    <div class="container">
        <div class="row mt-3">
            <div class="col-sm-3">
                <div th:switch="${user.picture != null}">
                    <img th:case="${true}" th:src="${user.picture}" class="mt-3 rounded-circle img-fluid" style="max-height: 300px;">
                    <img th:case="${false}" src="https://fakeimg.pl/300/" class="mt-3 rounded-circle img-fluid" style="max-height: 300px;">
                </div>
                <p sec:authorize="hasRole('USER')">Student</p>
                <p sec:authorize="hasRole('TEACHER')">Teacher</p>
                <hr>
                <a th:href="'/users/' + ${user.id} + '/courses'">My Courses</a>
                <p sec:authorize="hasRole('TEACHER')"><a th:href="@{/courses/new}">Create course</a></p>
                <p sec:authorize="hasRole('TEACHER')"><a th:href="@{/solutions}">Assess solutions</a></p>
            </div>
            <div class="col-sm-6">
                <h3>Profile Details</h3>
                <p th:text="${user.username}"></p>
                <p th:text="${user.mail}"></p>
                <a class="mt-3" th:href="@{'/users/' + ${user.id} + '/password'}">Change password</a>
                <br/>
                <a class="mt-3" th:href="@{'/users/' + ${user.id} + '/edit'}">Edit profile</a>
            </div>
        </div>
    </div>
</body>
</html>